Subject: bug#13284: 24.3.50; when launched with -Q the frame is as wide as the scrollbar

From: Alan Third <[email-masked]>
Date: Tue, 31 May 2016 21:31:27 +0100

Peter Dyballa <[email-masked]> writes:

> This behaviour seems to be related to the default font used, Lucida
> Sans Typewriter from Java. When I launch GNU Emacs as
>
> 	nextstep/Emacs.app/Contents/MacOS/Emacs -Q -fn "FreeMono"
>
> the frame opens OK with 80 column or such. (The same behaviour is also
> shown by GNU Emacs 24.2.50. The released GNU Emacs 24.2 does not show
> this behaviour, but it claims:
>
> 	*** Warning: font in family 'LucidaSans-Typewriter' not found
> [644 times]
> 	Error during redisplay: (error "Variable binding depth exceeds
> max- 
> specpdl-size")
> 	select-frame: Variable binding depth exceeds max-specpdl-size
> 	*** Warning: font in family 'LucidaSans-Typewriter' not found
> )

Hi, sorry nobody's got back to you about this before now. Are you still
experiencing this behaviour? I don't have LucidaSans-Typewriter, but I
can't find a font that causes this fault in Emacs 25. (To be fair, I
didn't try every font on my system, so it was hardly an exhaustive
test.)
-- 
Alan Third